<?xml version="1.0" encoding="utf-8"?>
<x:stylesheet xmlns:x="http://www.w3.org/1999/XSL/Transform"
              xmlns:wc="http://webcoso.thenautilus.net/"
              exclude-result-prefixes="wc"
              version="1.0">

 <x:import href="du2html.xsl"/>

 <x:param name="language" select="'en'"/>
 <x:param name="path"/>
 <x:param name="filename"/>

 <x:output method="xml" encoding="utf-8" doctype-public=""/>

 <x:template match="/document" priority="10">
  <x:apply-imports/>
 </x:template>

 <x:template match="*">
  <x:copy>
   <x:apply-templates select="@*"/>
   <x:apply-templates select="*|text()"/>
  </x:copy>
 </x:template>

 <x:template match="@*">
  <x:copy/>
 </x:template>

 <x:template match="PH">
  <url><x:value-of select="."/></url>
  <title><x:value-of select="wc:title-for($language,$filename,.)"/></title>
  <!--
  <body>
   <x:apply-templates select="wc:document($language,$filename,.)/document"/>
  </body>
  -->
 </x:template>

</x:stylesheet>